> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kosli.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.kosli.com/feedback

```json
{
  "path": "/api-reference/organizations/update-experimental-features",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Update experimental features

> Enable/Disable beta features for an org.



## OpenAPI

````yaml https://app.kosli.com/api/v2/openapi.json put /organizations/{org}/experimental_features
openapi: 3.1.0
info:
  title: Kosli API
  summary: The API for communicating with Kosli
  description: >

    # Authentication 


    When making requests against Kosli API, you can authenticate your requests
    using a bearer token. 

    Set the bearer token in the request Authorization header to a valid API
    key. 

    API Keys can be personal or for service accounts. Check the [service
    accounts
    documentation](https://docs.kosli.com/getting_started/service-accounts/) for
    details. 


    ## Curl example


    ```shell

    curl -H "Authorization: Bearer <<your-api-key>>"
    https://app.kosli.com/api/v2/environments/<<your-org-name>>

    ```
  version: '2.0'
servers:
  - url: https://app.kosli.com/api/v2
    description: EU
  - url: https://app.us.kosli.com/api/v2
    description: US
security:
  - HTTPBearer: []
paths:
  /organizations/{org}/experimental_features:
    put:
      tags:
        - Organizations
      summary: Update experimental features
      description: Enable/Disable beta features for an org.
      operationId: >-
        update_experimental_features_organizations__org__experimental_features_put
      parameters:
        - name: org
          in: path
          required: true
          schema:
            type: string
            title: Org
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OrganizationUpdate'
      responses:
        '200':
          description: Successfully updated state of experimental features.
          content:
            application/json:
              schema: {}
      security:
        - HTTPBearer: []
        - HTTPBasic: []
components:
  schemas:
    OrganizationUpdate:
      properties:
        experimental_features_enabled:
          type: boolean
          title: Experimental Features Enabled
      additionalProperties: false
      type: object
      required:
        - experimental_features_enabled
      title: OrganizationUpdate
      examples:
        - experimental_features_enabled: true
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````